<?php
/*
OekakiPoteto 5.x Copyright 2000-2002 RanmaGuy (Theo Chakkapark, http://suteki.nu) and Marcello Basta-Forte (http://marcello.cellosoft.com). Modification to the files are permitted as long as my name remains on the files.

Wax Poteto modifications Copyright Marc "Waccoon" Leveille
http://www.NineChime.com/products/
Version 5.8.2 - Last modified 2010-12-26
*/


// Load bootstrap
define('BOOT', 1);
require 'boot.php';

if (!$flags['admin']) {
	report_err('You do not have the credentials to access flag modification.');
}


require 'header.php';


// Input
$usrname2 = w_gpc('usrname2');
$h_usrname2 = w_html_chars($usrname2);


?>
<table width="<?php echo $hWidth;?>" cellpadding="<?php echo $hCellPadding;?>" align="center" cellspacing="2" class="infotable">
<tr>
<td>
<?php
if (!isset($_GET['muser'])) {
	// Get all non-pending members with lesser permissions, or equal
	// permissions if owner
	if ($flags['rank'] == RANK_OWNER) {
		$flags['rank']++;
	}

	$result2 = db_query("SELECT usrname, usrflags FROM {$db_mem}oekaki WHERE (usrflags != 'P' AND rank < {$flags['rank']}) OR (usrname = '$OekakiU') ORDER BY usrname ASC");
	$rownum = db_num_rows($result2);
?>
	<form name="formModFlags" method="get" action="modflags.php">
		<input name="action" type="hidden" value="modflags" />

		<table width="75%" border="0" cellspacing="0" cellpadding="3" align="center" class="txtinfo">
		<tr>
		<td colspan="2" class="header">
			<?php echo $langop_niftytoo_permissions;?> 
		</td>
		</tr>

		<tr>
		<td width="24%">
			<div align="right">
				<font size="-1">
					<?php echo $langop_word_username;?>:
				</font>
			</div>
		</td>
		<td width="76%">
			<font size="-2">
				<select name="usrname2" class="txtinput">
<?php
	$i = 0;
	while ($i < $rownum) {
		$row = db_fetch_array($result2);
?>
					<option value="<?php echo w_html_chars($row['usrname']);?>"><?php echo w_html_chars($row['usrname']);?></option>
<?php
		$i++;
	}
?>
				</select>
			</font>
		</td>
		</tr>

		<tr>
		<td width="24%">&nbsp;</td>
		<td width="76%">
			<input type="submit" name="muser" value="Submit" class="submit" />
		</td>
		</tr>
		</table>
	</form>
<?php } ?>
	<br />

<?php if (isset($_GET['muser'])) {
	$result1 = db_query("SELECT usrflags, rank FROM {$db_mem}oekaki WHERE usrname='{$usrname2}'");
	$row2 = db_fetch_array($result1);

	// Get usrflags for member being edited
	$mod_flags = parse_flags($row2['usrflags'], $row2['rank']);

?>
	<form name="formModFlags2" method="post" action="functions.php">
		<input name="action" type="hidden" value="modflags" />

		<table width="75%" border="0" cellspacing="0" cellpadding="3" align="center" class="txtinfo">
		<tr>
		<td colspan="2" class="header">
			<?php echo $langop_niftytoo_permissions;?>
			[ <?php echo $h_usrname2;?> ]
		</td>
		</tr>

		<tr>
		<td colspan="2">
			<br />
			<div align="center">
				<font size="-1">
<?php
if ($flags['sadmin']) {
	if ($usrname2 == $OekakiU) {
		echo "<strong>{$langop_warn_modflags}</strong><br />\n";
	}
?>
					Admin rank:
					<select name="rank">
						<option value="0"<?php if ($row2['rank'] == 0) {echo ' selected="selected">'.$langop_word_none.' ('.$langop_word_current.')';} else {echo '>'.$langop_word_none;} ?></option>
<?php // Not yet
						//<option value="{?php echo RANK_MOD ?}"<{php if ($row2['rank'] == RANK_MOD) {echo ' selected>Moderator (current)';} else {echo '>Moderator';} }></option>
?>
						<option value="<?php echo RANK_ADMIN ?>"<?php if ($row2['rank'] == RANK_ADMIN) {echo ' selected="selected">'.$langop_type_admin.' ('.$langop_word_current.')';} else {echo '>'.$langop_type_admin;} ?></option>
<?php
	if ($flags['owner'] || $usrname2 == $OekakiU) {
?>
						<option value="<?php echo RANK_SADMIN;?>"<?php if ($row2['rank'] == RANK_SADMIN) {echo ' selected="selected">'.$langop_type_sadmin.' ('.$langop_word_current.')';} else {echo '>'.$langop_type_sadmin;} ?></option>
<?php
	}
	if ($flags['owner']) {
?>
						<option value="<?php echo RANK_OWNER;?>"<?php if ($row2['rank'] == RANK_OWNER) {echo ' selected="selected">'.$langop_type_owner.' ('.$langop_word_current.')';} else {echo '>'.$langop_type_owner;} ?></option>
<?php
	}
?>
					</select>
					<br />
					<br />
<?php } ?>
				</font>
				<font size="-2">
<?php
if ($flags['admin']) { ?>
					<input type="checkbox" name="draw_user" value="D" <?php if ($mod_flags['D']) { echo 'checked="checked"'; }?> />
					<?php echo $langop_type_daccess;?> 
					<input type="checkbox" name="anim_user" value="M" <?php if ($mod_flags['M']) { echo 'checked="checked"'; }?> />
					<?php echo $langop_type_aaccess;?> 
					<input type="checkbox" name="upload_user" value="U" <?php if ($mod_flags['admin'] || $mod_flags['U']) { echo 'checked="checked"'; }?> />
					<?php echo $langop_type_uaccess;?><br />
					<input type="checkbox" name="immunity" value="I" <?php if ($mod_flags['I']) { echo 'checked="checked"'; }?> />
					<?php echo $langop_type_immunity;?> 
<?php } ?>
					<input type="checkbox" name="general" value="G" <?php if ($mod_flags['G']) { echo 'checked="checked"'; }?> />
					<?php echo $langop_type_guser;?>
				</font>
			</div>
		</td>
		</tr>

		<tr>
		<td colspan="2" valign="top">
			<br />
			<font size="-1">
				<b><?php echo $langop_type_sadmin;?></b> - <?php echo $langop_type_sabil;?><br />
				<b><?php echo $langop_type_admin;?></b> - <?php echo $langop_type_aabil;?><br />
				<b><?php echo $langop_type_guser;?></b> - <?php echo $langop_type_general;?><br />
				<b><?php echo $langop_type_daccess;?></b> - <?php echo $langop_type_gdaccess;?><br />
				<b><?php echo $langop_type_aaccess;?></b> - <?php echo $langop_type_gaaccess;?><br />
				<b><?php echo $langop_type_uaccess;?></b> - <?php echo $langop_type_guaccess;?><br />
				<b><?php echo $langop_type_immunity;?></b> - <?php echo $langop_type_userkill;?>
			</font>
			<br />
			<br />

			<input type="hidden" name="usrname2" value="<?php echo $h_usrname2;?>" />
			<input type="hidden" name="adult_user" value="<?php if ($mod_flags['X']) {echo 'X';} ?>" />
		</td>
		</tr>

		<tr>
		<td width="24%">&nbsp;</td>
		<td width="76%">
			<input type="submit" name="muser2" value="Submit" class="submit" />
		</td>
		</tr>
		</table>
	</form>
<?php } ?>

</td>
</tr>
</table>
<br />

<?php

include 'footer.php';