<?php // Include only
if (!defined ('BOOT')) exit ('No bootstrap.  Exiting.');

/*
Basic template, Wax Poteto 5.7.0
*/


// Type your info here.  Do not remove or indent the trailing "EOF;"
$tnotes = <<<EOF
Gloomy Starshine by RanmaGuy
Uses colors from the suteki.nu main page layout.
EOF;


// Template name (same as filename, without ".php")
$filename="gloomy-starshine";


// Required variables (used in XHTML for now)
{
	// Must contain a value
	$dStamp="#665E5E";
	$hWidth="90%";
	$hCellPadding="2";

	// May be blank
	$bgImage="";
	$cWidth="100%";
	$cCellPadding="2";
}


// Optional helper variables (CSS only)
{
	// These are used in the template only, and may be deleted
	$mainFont = '"Verdana", "Arial", "Tahoma", sans-serif';
	$divFontSize = "10px";
}


// Start of CSS
echo <<<EOF
<style type="text/css">
/* Anchor styles MUST be in order */
a {
	color: white;
}
a:link {
	text-decoration: none;
}
a:visited {
	text-decoration: none;
}
a:hover {
	text-decoration: underline;
}
a:active {
	text-decoration: none;
}

body {
	margin: 0 0 0 0;
	color: #665E5E;
	background-color: #CCCCCC;
	font-family: {$mainFont};
}
.menubar {
	background-color: #C4BEBE;
	font-size: 11px;
	border-width: 0 0 1px 0;
	border-color: white;
	border-style: dotted;
}
.submenu {
	font-size: 11px;
}
.header {
	color: #C4BEBE;
	background-color: #665E5E;
	font-size: 10px;
	border: 1px dotted white;
}
.txtinput, .multiline, .submit {
	/* "font-family" must be repeated for input tags */
	color: #C4BEBE;
	background-color: #665E5E;
	font-family: {$mainFont};
	font-size: 10px;
}
.infotable {
	color: #665E5E;
	font-size: 10px;
}
.commenttitle {
	background-color: #C4BEBE;
	font-size: {$divFontSize};
	border: 1px dotted white;
}
.commentpost {
	color: #665E5E;
	font-size: {$divFontSize};
	border-width: 0 1px 1px 1px;
	border-color: white;
	border-style: dotted;
}
.footertable {
	background-color: #C4BEBE;
	font-size: 11px;
	border-width: 1px 0 1px 0;
	border-color: white;
	border-style: dotted;
}
</style>

EOF;
